Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VStringFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VStringFragmentation.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VStringFragmentation.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStringFragmentation.hh,v 1.3 2006/06/29 20:55:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4VStringFragmentation_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VertexCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VertexCode.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VertexCode.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VertexCode.hh,v 1.3 2006/06/29 20:55:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4VertexCode_h
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4EventGenerator.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4EventGenerator.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4EventGenerator.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EventGenerator.cc,v 1.4 2006/06/29 20:55:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // G4EventGenerator
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4InteractionContent.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4InteractionContent.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4InteractionContent.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InteractionContent.cc,v 1.4 2006/06/29 20:55:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4PomeronCrossSection.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4PomeronCrossSection.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4PomeronCrossSection.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PomeronCrossSection.cc,v 1.6 2006/11/07 12:51:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4StringModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4StringModel.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4StringModel.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StringModel.cc,v 1.4 2006/06/29 20:55:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // G4StringModel
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VParticipants.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VParticipants.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VParticipants.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VParticipants.cc,v 1.3 2006/06/29 20:55:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VPartonStringModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VPartonStringModel.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VPartonStringModel.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPartonStringModel.cc,v 1.6 2009/10/05 12:52:48 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //// ------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VSplitableHadron.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VSplitableHadron.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VSplitableHadron.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSplitableHadron.cc,v 1.7 2009/07/17 12:36:41 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/src/G4VStringFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/src/G4VStringFragmentation.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/src/G4VStringFragmentation.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VStringFragmentation.cc,v 1.4 2006/06/29 20:55:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // G4VStringFragmentation
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuNuclearInteraction.hh
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuNuclearInteraction.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/include/G4MuNuclearInteraction.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MuNuclearInteraction.hh,v 1.7 2009/03/04 19:09:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // $Id: 
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuNuclearInteraction.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuNuclearInteraction.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuNuclearInteraction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4MuNuclearInteraction.cc,v 1.13 2009/03/04 19:09:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // $Id: 
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusInteractionModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusInteractionModel.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4MuonNucleusInteractionModel.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4MuonNucleusInteractionModel.cc,v 1.6 2006/06/29 20:57:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // --------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4ParametrizedHadronicVertex.cc
===================================================================
--- trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4ParametrizedHadronicVertex.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/photolepton_hadron/muon_nuclear/src/G4ParametrizedHadronicVertex.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParametrizedHadronicVertex.cc,v 1.7 2009/03/04 19:09:20 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // --------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/History
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/History	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/History	(revision 1337)
@@ -14,4 +14,14 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+11-June 2010 V.Ivanchenko  hadr-pre-V09-03-06
+---------------------------------------------------
+G4LowEIonFragmentation - cleanup comments
+G4PreCompoundModel - constructor and destructor are moved to the source
+
+01-June 2010 V.Ivanchenko  hadr-pre-V09-03-05
+---------------------------------------------------
+G4LowEIonFragmentation - (J.M.Quesada) fixed exciton state
+                         constructor and destructor moved to source
 
 09-April 2010 V.Ivanchenko  hadr-pre-V09-03-04
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4LowEIonFragmentation.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4LowEIonFragmentation.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4LowEIonFragmentation.hh	(revision 1337)
@@ -24,9 +24,19 @@
 // ********************************************************************
 //
+// $Id: G4LowEIonFragmentation.hh,v 1.5 2010/06/11 15:34:18 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
-// $Id: G4LowEIonFragmentation.hh,v 1.3 2006/06/29 20:58:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+//---------------------------------------------------------------------------
 //
-// by H.P. Wellisch
+// $Id: G4LowEIonFragmentation.hh,v 1.5 2010/06/11 15:34:18 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
+//
+// ClassName:   G4LowEIonFragmentation
+//
+// Author:  H.P. Wellisch
+//
+// Modified:
+// 01.06.2010 V.Ivanchenko moved constructor and destructor to the source
+// 
 
 #ifndef G4LowEIonFragmentation_h
@@ -43,21 +53,13 @@
 public:
   
-  G4LowEIonFragmentation(G4ExcitationHandler * const value) 
-  {
-    theHandler = value;
-    theModel = new G4PreCompoundModel(theHandler);
-  }
+  G4LowEIonFragmentation(G4ExcitationHandler * const value);
 
-  G4LowEIonFragmentation() 
-  {
-    theHandler = new G4ExcitationHandler;
-    theModel = new G4PreCompoundModel(theHandler);
-  }
+  G4LowEIonFragmentation();
 
-  ~G4LowEIonFragmentation() {delete theModel;}
+  ~G4LowEIonFragmentation();
 
 private:
   
-  G4LowEIonFragmentation(const G4LowEIonFragmentation &) : G4HadronicInteraction() {};
+  G4LowEIonFragmentation(const G4LowEIonFragmentation &);
   
   const G4LowEIonFragmentation& operator=(const G4LowEIonFragmentation &right);
@@ -68,5 +70,7 @@
 
 public:
+
   G4HadFinalState * ApplyYourself(const G4HadProjectile & thePrimary, G4Nucleus & theNucleus);
+
   static G4double GetCrossSection() 
   {
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundEmission.hh,v 1.7 2009/11/12 14:33:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.icc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundEmission.icc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundEmission.icc,v 1.5 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.hh,v 1.6 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundFragmentVector.icc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.icc,v 1.4 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundModel.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundModel.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundModel.hh,v 1.7 2009/11/19 10:19:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundParameters.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundParameters.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundParameters.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundParameters.hh,v 1.5 2008/05/08 10:34:25 quesada Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundTransitions.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundTransitions.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4PreCompoundTransitions.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundTransitions.hh,v 1.6 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundFragment.hh,v 1.10 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // J. M. Quesada (August 2008).  
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/include/G4VPreCompoundFragment.icc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPreCompoundFragment.icc,v 1.7 2008/09/22 10:18:36 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4LowEIonFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4LowEIonFragmentation.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4LowEIonFragmentation.cc	(revision 1337)
@@ -24,4 +24,18 @@
 // ********************************************************************
 //
+//
+// $Id: G4LowEIonFragmentation.cc,v 1.5 2010/06/01 16:51:11 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
+//
+//---------------------------------------------------------------------------
+//
+// ClassName:   G4LowEIonFragmentation
+//
+// Author:  H.P. Wellisch
+//
+// Modified:
+// 02 Jun 2010 M. A. Cortes Giraldo fix: particlesFromTarget must be 
+//                     accounted for as particles of initial compound nucleus
+
 #include "G4LowEIonFragmentation.hh"
 #include <algorithm>
@@ -30,4 +44,21 @@
 G4int G4LowEIonFragmentation::totalTries = 0;
 G4double G4LowEIonFragmentation::area = 0;
+
+G4LowEIonFragmentation::G4LowEIonFragmentation(G4ExcitationHandler * const value) 
+{
+  theHandler = value;
+  theModel = new G4PreCompoundModel(theHandler);
+}
+
+G4LowEIonFragmentation::G4LowEIonFragmentation() 
+{
+  theHandler = new G4ExcitationHandler;
+  theModel = new G4PreCompoundModel(theHandler);
+}
+
+G4LowEIonFragmentation::~G4LowEIonFragmentation() 
+{
+  delete theModel;
+}
 
 G4HadFinalState * G4LowEIonFragmentation::
@@ -134,5 +165,7 @@
   anInitialState.SetA(aTargetA+particlesFromProjectile);
   anInitialState.SetZ(aTargetZ+chargedFromProjectile);
-  anInitialState.SetNumberOfParticles(particlesFromProjectile);
+  // M.A. Cortes fix
+  //anInitialState.SetNumberOfParticles(particlesFromProjectile);
+  anInitialState.SetNumberOfParticles(particlesFromProjectile+particlesFromTarget);
   anInitialState.SetNumberOfHoles(particlesFromTarget);
   anInitialState.SetNumberOfCharged(chargedFromProjectile + chargedFromTarget);
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundAlpha.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundAlpha.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundDeuteron.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundEmission.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundEmission.cc,v 1.28 2010/02/25 10:27:36 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragment.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundFragment.cc,v 1.8 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // J. M. Quesada (August 2008).  
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundFragmentVector.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundFragmentVector.cc,v 1.11 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Hadronic Process: Nuclear Preequilibrium
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundHe3.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundHe3.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundIon.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundIon.cc,v 1.16 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundModel.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PreCompoundModel.cc,v 1.18 2009/11/19 10:19:31 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4PreCompoundModel.cc,v 1.20 2010/06/11 17:26:43 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
@@ -64,4 +64,6 @@
 
 G4PreCompoundModel::G4PreCompoundModel() 
+  : G4VPreCompoundModel(0), useHETCEmission(false), useGNASHTransition(false), 
+    OPTxs(3), useSICB(false), useNGB(false), useSCO(false), useCEMtr(true) 
 {}
 
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNeutron.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundNeutron.cc,v 1.4 2009/02/11 18:06:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundNucleon.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundNucleon.cc,v 1.13 2009/02/11 18:06:00 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundParameters.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundParameters.cc,v 1.3 2006/06/29 20:59:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // by V. Lara
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundProton.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundProton.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundProton.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundProton.cc,v 1.5 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTransitions.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTransitions.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTransitions.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PreCompoundTransitions.cc,v 1.22 2009/11/21 18:03:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTriton.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTriton.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundTriton.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PreCompoundTriton.cc,v 1.6 2010/04/09 14:06:17 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4VPreCompoundFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4VPreCompoundFragment.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4VPreCompoundFragment.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4VPreCompoundFragment.cc,v 1.12 2009/02/10 16:01:37 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // J. M. Quesada (August 2008).  
Index: trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiKZeroInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiKZeroInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiKZeroInelastic.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiKZeroInelastic.hh,v 1.1 2007/07/18 20:51:36 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Author: D. H. Wright
Index: trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiLambdaInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiLambdaInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiLambdaInelastic.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiLambdaInelastic.hh,v 1.1 2007/07/18 20:51:36 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Author: D. H. Wright
Index: trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiNeutronInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiNeutronInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiNeutronInelastic.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiNeutronInelastic.hh,v 1.1 2007/07/18 20:51:36 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Author: D. H. Wright
Index: trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiOmegaMinusInelastic.hh
===================================================================
--- trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiOmegaMinusInelastic.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/rpg/include/G4RPGAntiOmegaMinusInelastic.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: G4RPGAntiOmegaMinusInelastic.hh,v 1.1 2007/07/18 20:51:36 dennis Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // Author: D. H. Wright
